#!/usr/bin/env ruby
require("gsl")
include GSL::Sf

a = []
x = 1.5
for n in 0..5 do
  a.push(bessel_Jn(n, x))
end
p a

p bessel_Jn_array(0, 5, x)

x = Vector.new([1, 2, 3, 4])
p bessel_J0(x)

y = [1, 3, 4, 6]
p bessel_J0(y)

p bessel_J1(y)

p bessel_Jn(1, y)


p bessel_Y0(y)

p bessel_zero_J0(2)
p bessel_zero_J0([1, 2, 3, 4])
p bessel_zero_J1([1, 2, 3, 4])
p bessel_zero_Jnu(0, [1, 2, 3, 4])

p bessel_zero_J1([1, 2, 3, 4])
p bessel_zero_Jnu(1, [1, 2, 3, 4])

p bessel_J1([1, 2, 3, 4])
m = Matrix.new([1, 2], [3, 4])
p bessel_J1(m)

p bessel_J1(2)
p bessel_J1_e(2)

p Sf::Bessel::K0(2)
